<!-- ******************************************************** MAIN PAGE CONTENT COPY PASTED *************************************************************************-->

<? $this->headTitle($this->t('verify_picture_upload'), 'PREPEND') ?>
<? $this->headScript()
    ->appendFile('/js/mobile/default/html5-upload.js', 'text/javascript');
?>


<?php $_default_image = '/img/mobile/icons/non-image-approval.png'; ?>

<div class="c-body">
    <div class="body verify">
        <input type="hidden" name="escort" value="<?= $this->escort_id?>"
        <?php if( $this->is_agency ): ?>
            <div class="c-title"><?= __('mob_100_certified_photos_for', array( 'escort' => $this->showname )) ?></div>
        <?php else: ?>
            <div class="c-title"><?= __('100_certification') ?></div>
        <?php endif; ?>

        <div class="cbox-small">
            <div class="verpicproc">

                <p><?= $this->t('mob_100_certified_text') ?></p>
            </div>


            <div class="verpicproc2">

                <? if ( isset($this->errors['photos']) ): ?><div class="error"><?= $this->errors['photos'] ?></div><? endif; ?>

                <form method="post" enctype="multipart/form-data"
                      action="<?= $this->getLink('private-v2-profile').'/age-verification-step'; ?>"
                      onsubmit="MCubix.OverlayV2.init(true)">
                    <div class="photo-types">
                        <? foreach ( array(1, 2) as $i ): ?>
                            <div class="collapse-item <?= ( isset($this->errors['photo_' . $i]) ) ? 'collapse-error' : '' ?>">
                                <div class="c-title"><?= $this->t('verify_upload_image_' . $i) ?></div>

                                <div class="collapse-content">
                                    <!--									<label>--><?//= $this->t('verify_image_no') ?><!-- 0--><?//= $i ?><!--</label>-->
                                    <? if ( isset($this->data['photos'][$i - 1]) ): ?>
                                        <?= $this->data['photos'][$i - 1]['name'] ?> - uploaded
                                    <? else: ?>

                                        <p class="img-name">
                                            <input type="button" class="clear-image" value="×" />
                                        </p>

                                        <label for="photo<?=$i?>" class="tmp-wrapper">
                                            <img src="<?=$_default_image?>" class="show-tmp-image" />
                                        </label>

                                        <input id="photo<?=$i?>" class="check-image" onchange="MCubix.Agency.Model.Verify.showTempImage( this )" type="file" name="pic[]" />

                                    <? endif; ?>

                                    <? if ( isset($this->errors['photo_' . $i]) ): ?><div class="error"><?= $this->errors['photo_' . $i] ?></div><? endif; ?>
                                </div>
                            </div>
                        <? endforeach; ?>
                    </div>

                    <div class="inpStyle">
                        <div class="personal-data">
                            <div class="divline">
                                <label class="age-label"> <?= __('age_verification_name') ?> </label>
                                <input type="text" id="name" name="name" value="<?= $this->data['name'] ?>" class="fields txt"/>
                                <div class="clear"></div>
                            </div>

                            <div class="divline">
                                <label class="age-label"> <?= __('age_verification_last_name') ?> </label>
                                <input type="text" id="name" name="last_name" value="<?= $this->data['last_name'] ?>" class="fields txt"/>
                                <div class="clear"></div>
                            </div>

                            <div class="divline">
                                <label class="age-label"> <?= __('age_verification_date') ?> </label>
                                <div class="fleft">

                                    <select name="day" class="txt fleft">
                                        <option value="0">----</option>
                                        <? for ( $i = 1; $i <= 31; $i++ ): ?>
                                            <option value="<?= $i ?>" <?= $this->data['day'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                        <? endfor; ?>
                                    </select>
                                    <span class="date-sep">/</span>
                                    <select name="month" class="txt fleft">
                                        <option value="0">----</option>
                                        <? for ( $i = 1; $i <= 12; $i++ ): $timestamp = mktime(0, 0, 0, $i, 10); $month = date('M', $timestamp); ?>
                                            <option value="<?= $i ?>" <?= $this->data['month'] == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
                                        <? endfor; ?>
                                    </select>
                                    <span class="date-sep">/</span>
                                    <select name="year" class="txt fleft">
                                        <option value="0">----</option>
                                        <? for ( $i = date('Y', strtotime('-100 years')); $i <= date('Y', strtotime('-18 years')); $i++ ): ?>
                                            <option value="<?= $i ?>"<?= $this->data['year'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                        <? endfor; ?>
                                    </select>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>

                        <div id="saveWrapper" class="pd16">
                            <input type="submit" class="border-radius" value="<?=__('send_for_approval')?>" />
                        </div>
                    </div>
                </form>
            </div>

            <div class="clear"></div>
        </div>
    </div>
</div>

<style type="text/css">
    .personal-data { padding: 10px; background-color: #fafafa; border: 1px solid #ebebeb; }
    .personal-data label { color: #555555; margin: 5px; }
    .error { font-weight: normal; color: #c00; }
    .verified_ex { float: left; margin-right: 10px; }
    .verified_title, .verified_box { margin-bottom: 10px; font-weight: normal; padding-left: 0 !important; }
    .age-label {float:left; width:100px}
    .txt { padding: 3px }
    .fields { min-width: 100%; }
    .date-sep {	float: left;padding: 0 10px}

    .photo-types { margin: 20px 0; }
    .photo-types .collapse-item { max-height: 30px; overflow: hidden; position: relative; background: #424242;
        margin: 5px 0;
        transition: none;
        -moz-transition: none;
        -webkit-transition: none;
        -o-transition: none;
    }

    .photo-types .collapse-item.collapse-error { border-left: 2px solid #d32f2f; }
    .photo-types .collapse-item.collapse-error .c-title { color: #ef5350 !important; }

    .photo-types .collapse-item.collapsed { max-height: 2000px;
        transition: height 0.8s ease;
        -moz-transition: max-height 0.8s ease;
        -webkit-transition: max-height 0.8s ease;
        -o-transition: max-height 0.8s ease;
    }

    .photo-types .collapse-item .collapse-content { padding: 10px; border-left: 1px solid #ebebeb;
        border-right: 1px solid #ebebeb; border-bottom: 1px solid #ebebeb; }
    .photo-types .collapse-item.collapsed .collapse-content {  }

    .photo-types .collapse-item .c-title { display: block; overflow: hidden; height: 30px; white-space: nowrap;
        text-overflow: ellipsis; padding: 5px 35px 5px 8px !important; color: #868686 !important; background: #ebebeb; }
    .photo-types .collapse-item.collapsed .c-title.in { white-space: normal; text-overflow: clip; height: auto;
        color: #555555 !important; }

    .photo-types .collapse-item .tmp-wrapper,
    .photo-types .collapse-item .img-name {
        position: relative;
        -webkit-transition: all 0.3s ease-in-out;
        -moz-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }

    .photo-types .collapse-item .img-name .clear-image {
        position: absolute;
        right: 0;
        top: 0;
        width: 30px;
        height: 30px;
        line-height: 30px;
        color: #ffffff;
        background-color: #c62828;
        border: none;
        font-size: 20px;
    }

    .photo-types .collapse-item .tmp-wrapper {
        background-size: 120% !important;
        -webkit-background-size: 120% !important;
        -moz-background-size: 120% !important;
        -o-background-size: 120% !important;
    }
    .photo-types .collapse-item .tmp-wrapper.show {
        background-size: 100% !important;
    }

    .photo-types .collapse-item .img-name { color: #ffffff; background: #42a5f5; display: block;
        margin: 0 0 10px 0; opacity: 0; max-height: 0; overflow: auto; height: 0; padding: 0 35px 0 10px; }
    .photo-types .collapse-item .img-name.show { max-height: 40px; opacity: 1; height: 30px; border-radius: 3px;
        line-height: 30px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; background-size: 100% !important; }

    .photo-types .collapse-item .error { color: #ffffff; background: #d32f2f; min-height: 30px; border-radius: 3px;
        line-height: 15px; padding: 5px 10px; font-size: 13px; }
    .photo-types .collapse-item .tmp-wrapper { display: block; width: 180px; height: 240px; border-radius: 4px;
        margin: 10px auto; }
    .photo-types .collapse-item .tmp-wrapper .show-tmp-image {  }
    .photo-types .collapse-item .tmp-wrapper .show-tmp-image.hidden { display: none; }
    .photo-types .collapse-item .check-image { opacity: 0; visibility: hidden; width: 0; height: 0; overflow: hidden;
        border: none; position: absolute; }
    .photo-types .collapse-item:after {
        pointer-events: none;
        content: '';
        display: block;
        position: absolute;
        right: 0;
        top: 2px;
        height: 25px;
        width: 30px;
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        transform: rotate(90deg);
        -moz-transition: all 0.3s ease;
        -webkit-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
        background: url('/m/i/arrow.png') center center no-repeat;
    }

    .photo-types .collapse-item.collapsed:after {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    .collapse-item.video-item label.divline { display: block; width: 100%; height: 30px; background: #333;
        margin: 10px auto; color: #ccc; text-transform: uppercase; line-height: 30px; padding: 0 10px; }
    .collapse-item.video-item label.divline.posReal { color: #fff; background: #42a5f5; border-radius: 3px; }
    .collapse-item.video-item label.divline.posReal .clear-video { position: absolute; right: 0; top: 0; width: 30px;
        height: 30px; line-height: 30px; color: #fff; background-color: #c62828; border: none; font-size: 20px;
        border-radius: 0 3px 3px 0; cursor: pointer; }
    .collapse-item.video-item label.divline input { overflow: hidden; height: 0; width: 0; border: none; }
</style>

<script type="text/javascript">
    $(document).ready(function(){
        MCubix.Agency.Model.Verify.init();
        $('form').submit(function () {
            MCubix.OverlayV2.init(true);
        })
    });

    MCubix.Agency.Model.Verify = {
        init: function(){
            this.setErrors();
            this.collapseServices();
            this.showErrors();
        },

        setErrors: function(){

        },

        collapseServices: function(){
            var collapsing_wrapper = $('.photo-types');
            var collapsing_pickers = collapsing_wrapper.find('.c-title');

            collapsing_pickers.on('click', function(){
                $('.collapse-item').not( $(this).closest('.collapse-item') ).removeClass('collapsed');
                collapsing_pickers.not( $(this) ).removeClass('in');

                if( !$(this).hasClass('in') ) {
                    $(this).addClass('in').closest('.collapse-item').addClass('collapsed');
                } else {
                    $(this).removeClass('in').closest('.collapse-item').removeClass('collapsed');
                }
            });
        },

        showTempImage: function( input ){
            var self = this;

            if ( input.files && input.files[0] ) {
                var fileReader = new FileReader();

                fileReader.onload = function ( e ) {
                    var tmp_img = $(input).parent().find('.show-tmp-image');
                    tmp_img.addClass('hidden').closest('.tmp-wrapper').addClass('show')
                        .css('background', 'url("' + e.target.result + '") center center no-repeat');
                };

                fileReader.readAsDataURL( input.files[0] );

                self.tempImageName( $( input ) );
            }
        },

        tempImageName:function( elm ){
            var self = this;

            if( elm instanceof jQuery ){
                var fullPath = elm.val();

                if ( fullPath ) {
                    var startIndex = (fullPath.indexOf('\\') >= 0 ? fullPath.lastIndexOf('\\') : fullPath.lastIndexOf('/')),
                        filename = fullPath.substring(startIndex);

                    if (filename.indexOf('\\') === 0 || filename.indexOf('/') === 0) {
                        filename = filename.substring(1);
                    }

                    var image_name = elm.closest('.collapse-item').find('p.img-name').addClass('show'),
                        cl_image = image_name.find('.clear-image');

                    image_name.html( filename).append( cl_image );

                    self.clearImage( cl_image );

                    return true;
                }
            }

            return false;
        },

        clearImage: function( _clear_btn ){

            if( !_clear_btn ){
                _clear_btn = $('.clear-image');
            }

            _clear_btn.on('click', function(){
                var _parent = $(this).closest('.collapse-item');

                _parent.find('.tmp-wrapper').find('.show-tmp-image').removeClass('hidden');
                _parent.find('.check-image').val('');
                _parent.find('.tmp-wrapper').removeClass('show').css('background', 'none');

                var image_name = $(this).closest('.collapse-item').find('p.img-name').removeClass('show'),
                    cl_image = image_name.find('.clear-image');

                image_name.html( '').append( cl_image );
            });
        },

        showTempVideo: function( input ){
            var self = this;

            if ( input.files && input.files[0] ) {
                self.tempImageVideo( $( input ) );
            }
        },

        tempImageVideo:function( elm ){
            var self = this;

            if( elm instanceof jQuery ){
                var fullPath = elm.val();

                if ( fullPath ) {
                    var startIndex = (fullPath.indexOf('\\') >= 0 ? fullPath.lastIndexOf('\\') : fullPath.lastIndexOf('/')),
                        filename = fullPath.substring(startIndex);

                    if (filename.indexOf('\\') === 0 || filename.indexOf('/') === 0) {
                        filename = filename.substring(1);
                    }

                    elm.closest('label').addClass('posReal').append( $('<input/>',
                        { 'type': 'button', 'class': 'clear-video', value: '×' }) )
                        .find('span').html( filename );

                    self.clearVideo( elm );

                    return true;
                }
            }

            return false;
        },

        clearVideo: function( elm ){
            var _clear_btn,
                _label = elm.closest('label');
            if( ! ( _clear_btn = _label.find('.clear-video') ) ){
                return false;
            }

            _clear_btn.on('click', function(e){
                e.preventDefault();
                elm.val('');
                _label.removeClass('posReal').find('.clear-video').remove();
                _label.find('span').html('<?=__('select_video')?>');
            });
        },

        showErrors: function(){
            <? if( isset($this->errors)): ?>
            MCubix.Errors.show('<?= $this->errors ?>');
            <? endif;?>
        }
    };
</script>